package iai.product.source;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/api")
public class DataSourceController {

    private final MetaSourceManager dataSourceManager;

    @Autowired
    public DataSourceController(MetaSourceManager dataSourceManager) {
        this.dataSourceManager = dataSourceManager;
    }

    @GetMapping("/metaSources")
    public List<MetaSource> getDataSources() {
        return dataSourceManager.getDataSources();
    }
}
